code/DpcManagement/DpcManagement/Models/Task.cs
using System;
using System.Collections.Generic;

namespace DpcManagement.Models
{
    public partial class Task
    {
        public Task()
        {
            ImageTask = new HashSet<ImageTask>();
        }

        public long TaskId { get; set; }
        public long? PackageId { get; set; }
        public long? TaskLevelId { get; set; }
        public string TaskName { get; set; }
        public string Status { get; set; }
        public string StatusEntry { get; set; }
        public string AccEntry { get; set; }
        public string StatusOp { get; set; }
        public string AccOp { get; set; }
        public string StatusCheck { get; set; }
        public string AccCheck { get; set; }
        public DateTime? DateCreate { get; set; }
        public DateTime? DateDeadLine { get; set; }
        public string AccUpdate { get; set; }

        public virtual TaskLevel TaskLevel { get; set; }
        public virtual ICollection<ImageTask> ImageTask { get; set; }
    }
}

code/DpcManagement/DpcManagement/Controllers/TaskController.cs
using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;
using Microsoft.Extensions.Configuration;
using Microsoft.Extensions.Logging;
using Newtonsoft.Json;
using Task = DpcManagement.Models.Task;

namespace DpcManagement.Controllers
{
    public class TaskController : Controller
    {
        private readonly ILogger<TaskController> _logger;
        private readonly IConfiguration _config;
        BPOApiClient.Core.ApiClient apiClient = new BPOApiClient.Core.ApiClient();

        public TaskController(IConfiguration config, ILogger<TaskController> logger)
        {
            _config = config;
            _logger = logger;
            apiClient.SetAddress(_config["AppSettings:ServerApiDpc"]);
        }
        [HttpGet]
        public IActionResult Index(long packageId)
        {
            var str = apiClient.Get($"api/task/Package/{packageId}", "");
            var listTask2 = JsonConvert.DeserializeObject<List<Task>>(str);
            return View(listTask2);
        }
        [HttpGet]
        public async Task<FileResult> ExportPdfNote(long taskId)
        {
            var file = apiClient.GetFile($"api/task/ExportPdfNote/{taskId}", "");
            var stream = await file.Content.ReadAsStreamAsync();
            await using MemoryStream ms = new MemoryStream();
            stream.CopyTo(ms);
            return File(ms.ToArray(), file.Content.Headers.ContentType.ToString(), file.Content.Headers.ContentDisposition.FileNameStar);
        }
        [HttpGet]
        public async Task<FileResult> ExportPdfTag(long taskId)
        {
            var file = apiClient.GetFile($"api/task/ExportPdfTag/{taskId}", "");
            var stream = await file.Content.ReadAsStreamAsync();
            await using MemoryStream ms = new MemoryStream();
            stream.CopyTo(ms);
            return File(ms.ToArray(), file.Content.Headers.ContentType.ToString(), file.Content.Headers.ContentDisposition.FileNameStar);
        }
        
    }
}

code/DpcManagement/DpcManagement/Views/Task/Index.cshtml
@{
    ViewData["Title"] = "Index";
}

@using Microsoft.Extensions.Configuration
@inject IConfiguration Configuration
@model List<DpcManagement.Models.Task>

<div class="page-content-wrapper">
    <!-- BEGIN CONTENT BODY -->
    <div class="page-content">
        <!-- BEGIN PAGE HEADER-->
        <!-- BEGIN PAGE BAR -->
        <div class="page-bar">
            <ul class="page-breadcrumb">
                <li>
                    <a href="#">Task</a>
                    <i class="fa fa-circle"></i>
                </li>
                <li>
                    <span>View</span>
                </li>
            </ul>
            <div class="page-toolbar">
                <div id="dashboard-report-range" class="pull-right tooltips btn btn-sm"
                     data-container="body" data-placement="bottom"
                     data-original-title="Change dashboard date range">
                    <i class="icon-calendar"></i>&nbsp;
                    <span class="thin uppercase hidden-xs"></span>&nbsp;
                    <i class="fa fa-angle-down"></i>
                </div>
            </div>
        </div>
        <!-- END PAGE BAR -->
        <!-- END PAGE HEADER-->
        <!-- BEGIN row 1-->
        <div class="row">
            <div class="col-md-12">
                <!-- BEGIN EXAMPLE TABLE PORTLET-->
                <div class="portlet light bordered">
                    <div class="portlet-body">
                        <table class="table table-striped table-bordered table-hover table-checkable order-column"
                               id="sample_1_2">
                            <thead>
                                <tr>
                                    <th>
                                        <label class="mt-checkbox mt-checkbox-single mt-checkbox-outline">
                                            <input type="checkbox" class="group-checkable"
                                                   data-set="#sample_1_2 .checkboxes" />
                                            <span></span>
                                        </label>
                                    </th>
                                    <th hidden="hidden"> Project Id </th>
                                    <th> Name </th>
                                    <th> Status </th>
                                    <th> MDGC </th>
                                    <th> Date Upload </th>
                                    <th> Deadline </th>
                                    <th> Images </th>
                                    <th> Actions </th>
                                </tr>
                            </thead>
                            <tfoot>
                                <tr>
                                    <th> </th>
                                    <th hidden="hidden"> </th>
                                    <th> </th>
                                    <th> </th>
                                    <th> </th>
                                    <th> </th>
                                    <th> </th>
                                    <th> </th>
                                    <th> </th>
                                </tr>
                            </tfoot>
                            <tbody>
                                @if (Model != null)
                                {

                                    @foreach (var task in Model)
                                    {
                                        <tr class="odd gradeX">

                                            <td>
                                                <label class="mt-checkbox mt-checkbox-single mt-checkbox-outline">
                                                    <input type="checkbox" class="checkboxes" value="@task.TaskId" name="TaskId" />
                                                    @Html.HiddenFor(x => task.TaskId)
                                                    <span></span>
                                                </label>
                                            </td>
                                            <td hidden="hidden">@Html.DisplayFor(x => task.PackageId) </td>
                                            <td>@task.TaskName</td>
                                            <td>
                                                <span class="label label-sm label-success"> @Html.DisplayFor(x => task.StatusEntry)</span>
                                            </td>
                                            <td> @task.AccEntry</td>
                                            <td> @task.DateCreate </td>
                                            <td> @task.DateDeadLine </td>
                                            <td>
                                                @foreach (var item in task.ImageTask)
                                                {
                                                    <a href="@Configuration["AppSettings:ServerData"]@item.Image.ImagePath" target="_blank">@item.Image.ImageName</a><br />
                                                }
                                            </td>
                                            <td>
                                                @if (task.StatusEntry == "Done")
                                                {
                                                    <form class="btn btn-xs" method="get" asp-controller="Task" asp-action="ExportPdfNote">
                                                        <button class="btn btn-xs green dropdown-toggle" type="submit"
                                                                aria-expanded="false" name="TaskId" value="@task.TaskId">
                                                            PdfNote
                                                        </button>
                                                    </form>
                                                    <form class="btn btn-xs" method="get" asp-controller="Task" asp-action="ExportPdfTag">
                                                        <button class="btn btn-xs green dropdown-toggle" type="submit"
                                                                aria-expanded="false" name="TaskId" value="@task.TaskId">
                                                            PdfTag
                                                        </button>
                                                    </form>
                                                }
                                            </td>
                                        </tr>
                                    }
                                }
                            </tbody>
                        </table>
                    </div>
                </div>
                <!-- END EXAMPLE TABLE PORTLET-->
            </div>
        </div>
        <!-- END row 1-->
    </div>
    <!-- END CONTENT BODY -->
</div>